Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.multimedia
Enum MediaScreenParameters.Viability.WindowTypeEnum

    java.lang.Object
      java.lang.Enum<MediaScreenParameters.Viability.WindowTypeEnum>
          org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.WindowTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<MediaScreenParameters.Viability.WindowTypeEnum>

Enclosing class:
  MediaScreenParameters.Viability

    public static enum MediaScreenParameters.Viability.WindowTypeEnum

extends Enum<MediaScreenParameters.Viability.WindowTypeEnum>

Enum Constant Summary
`Annotation` The rectangle occupied by the `screen annotation` associated with the media rendition.
`Floating` A floating window.
`FullScreen` A full-screen window that obscures all other windows.
`Hidden` A hidden window.

Method Summary
`PdfInteger` | `getCode()`
`static MediaScreenParameters.Viability.WindowTypeEnum` | `valueOf(PdfInteger code)`
`static MediaScreenParameters.Viability.WindowTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MediaScreenParameters.Viability.WindowTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Floating

    public static final MediaScreenParameters.Viability.WindowTypeEnum Floating

  A floating window.

### FullScreen

    public static final MediaScreenParameters.Viability.WindowTypeEnum FullScreen

  A full-screen window that obscures all other windows.

### Hidden

    public static final MediaScreenParameters.Viability.WindowTypeEnum Hidden

  A hidden window.

### Annotation

    public static final MediaScreenParameters.Viability.WindowTypeEnum Annotation

  The rectangle occupied by the `screen annotation` associated with the media rendition.

Method Detail

### values

    public static MediaScreenParameters.Viability.WindowTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaScreenParameters.Viability.WindowTypeEnum c : MediaScreenParameters.Viability.WindowTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaScreenParameters.Viability.WindowTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static MediaScreenParameters.Viability.WindowTypeEnum valueOf(PdfInteger code)

### getCode

    public PdfInteger getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.